*{
    padding: 0;
    margin: 0;
    box-sizing: border-box;
    font-family: sans-serif;
}
.main-box{
    position: relative;
    background: url(img/elegant-smoke-wallpaper-background-dark-design.jpg) right no-repeat;
    background-size: cover;
    height: 100vh;
    width: 100%;
}
.main-box .siderbar_menu{
    position: fixed;
    height: 100vh;
    width: 280px;
    left: -280px;
    background: rgba(255, 255, 255, 0.1);
    box-shadow: 0 0 6px rgba(255, 255, 255, 0.5);
}
.siderbar_menu .logo{
    position: absolute;
    width: 100%;
    height: 60px;
    box-shadow: 0 0 6px rgba(255, 255, 255, 0.5);
}
.siderbar_menu .logo a{
    color: #fff;
    font-size: 25px;
    font-weight: 500;
    position: absolute;
    left: 50px;
    line-height: 60px;
    text-decoration: none;
}
.siderbar_menu .menu{
    position: absolute;
    top: 80px;
    width: 100%;

}
.siderbar_menu .menu li{
    margin-top: 6px;
    padding: 14px 20px;
    transition: all 0.3s linear;
}
.siderbar_menu .menu path{
    color: #fff;
    font-size: 20px;
    padding-right: 8px;
}
.siderbar_menu .menu a{
    color: #fff;
    font-size: 20px;
    text-decoration: none;
}
.siderbar_menu .menu li:hover{
    border-left: 1px solid #fff;
    box-shadow: 0 0 4px rgba(255, 255, 255, 0.5);
}
.siderbar_menu .social-media{
    position: absolute;
    left: 50%;
    bottom: 20px;transform: translateX(-50%);
    cursor: pointer;
}
.social-media path {
    padding: 0 5px;
    color: #fff;
    opacity: 0.6;
    font-size: 20px;
    transition: all 0.2s linear;
}
.social-media path:hover{
    opacity: 1;
}
#check{
    display: none;
}
.main-box .btn_one svg{
    color: #fff;
    font-size: 30px;
    font-weight: 700;
    position: absolute;
    left: 16px;
    line-height: 60px;
    cursor: pointer;
    opacity: 1;
    transition: all 0.3s linear;
}
.siderbar_menu .btn_two svg{
    fill: #fff;
    font-size: 25px;
    line-height: 60px;
    position: absolute;
    left: 240px;
    cursor: pointer;
    opacity: 0;
    transition: all 0.3s linear;
}
.btn_one svg:hover{
    font-size: 24px;   
}
#check:checked ~.siderbar_menu{
    left: 0px;
}
#check:checked ~.btn_one svg{
    opacity: 0;
}
#check:checked ~ .siderbar_menu .btn_two svg{
    opacity: 1;
}